# Uses of Class
org.apache.solr.client.solrj.response.QueryResponse

Packages that use QueryResponse
Package
Description
org.apache.solr.client.solrj
Primary APIs for communicating with a Solr Server from a Java client.
org.apache.solr.client.solrj.request
Convenience classes for dealing with various types of Solr requests.

## Uses of QueryResponse in org.apache.solr.client.solrj

Methods in org.apache.solr.client.solrj that return QueryResponse
Modifier and Type
Method
Description
`QueryResponse`
SolrClient.`query(String collection, SolrParams params)`
Performs a query to the Solr server
`QueryResponse`
SolrClient.`query(String collection, SolrParams params, SolrRequest.METHOD method)`
Performs a query to the Solr server
`QueryResponse`
SolrClient.`query(SolrParams params)`
Performs a query to the Solr server
`QueryResponse`
SolrClient.`query(SolrParams params, SolrRequest.METHOD method)`
Performs a query to the Solr server
`QueryResponse`
SolrClient.`queryAndStreamResponse(String collection, SolrParams params, FastStreamingDocsCallback callback)`
`QueryResponse`
SolrClient.`queryAndStreamResponse(String collection, SolrParams params, StreamingResponseCallback callback)`
Query solr, and stream the results.
`QueryResponse`
SolrClient.`queryAndStreamResponse(SolrParams params, StreamingResponseCallback callback)`
Query solr, and stream the results.

## Uses of QueryResponse in org.apache.solr.client.solrj.request

Methods in org.apache.solr.client.solrj.request that return QueryResponse
Modifier and Type
Method
Description
`protected QueryResponse`
QueryRequest.`createResponse(NamedList<Object> namedList)`